@import url('https://fonts.googleapis.com/css2?family=Lora:wght@400;500;700&display=swap');

body{
    font-family: 'Lora', serif;
}

h1,h2{
    margin:30px;
    font-family: 'Lora', serif;
}

h2{
    text-align: center;
    font-family: 'Lora', serif;
    font-weight: 500;
    font-size: 36px;
}

p{
    margin:10px 0 10px;
}

a {
    text-decoration:none;
 }

 body{
     background-color:#f5f0e1 ;
 }

.container{
    position: relative;
    margin: 0 auto;
    width:1100px;
    font-family: 'Lora', serif;
    font-weight: 400;
    font-size: 20px;
    line-height: 1.5;
}



.header{
    text-align: center;
    font-family: inherit;
    font-weight: 700;
    font-size:22px;
    margin: 5px;
}

/* !BURGER MENU */
  #menu__toggle {
    opacity: 0;
  }
  
  #menu__toggle:checked ~ .menu__btn > span {
    transform: rotate(45deg);
    
  }
  #menu__toggle:checked ~ .menu__btn > span::before {
    top: 0;
    transform: rotate(0);
    
  }
  #menu__toggle:checked ~ .menu__btn > span::after {
    top: 0;
    transform: rotate(90deg);
  }
  #menu__toggle:checked ~ .menu__box {
    visibility: visible;
    right: 0px;
 }
  
  .menu__btn {
    display: flex;
    align-items: center;
    position: absolute;
    right: 10px;
    top: 70px;
  
    width: 26px;
    height: 26px;
  
    cursor: pointer;
    z-index: 1000;
  }
  
  .menu__btn > span,
  .menu__btn > span::before,
  .menu__btn > span::after {
    display: block;
    position: absolute;
  
    width: 100%;
    height: 2px;
  
    background-color: #616161;
  
    transition-duration: .25s;
  }
  .menu__btn > span::before {
    content: '';
    top: -8px;
  }
  .menu__btn > span::after {
    content: '';
    top: 8px;
  }
  
  .menu__box {
    display: block;
    position: absolute;
    visibility: hidden;
    right: 10px;
    top: 70px;
  
    width: 300px;
    height: 230px;
  
    margin: 0;
    padding: 50px 0;
  
    list-style: none;
  
    background-color: #f5f0e1;
    box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
  
    transition-duration: .25s;
    z-index: 100;
  }
  
  .menu__item {
    display: block;
    padding: 12px 24px;
  
    color: #333;
  
    font-family: 'Roboto', sans-serif;
    font-size: 20px;
    font-weight: 600;
  
    text-decoration: none;
  
    transition-duration: .25s;
  }
  .menu__item:hover {
    background-color: #fff;
  }


.inside-container{
    position: relative;
    margin: 0 auto;
}




/*? BLOCK LEFT */

.block-left{
width: 350px;
background-color: #1e3d59;
color:beige;
padding-bottom: 30px;
min-height: 1500px;
}


/* ! CONTACTS */

.citem{
    margin: auto;
    padding: 0 10px;
    display: flex;
    align-items: center;
}

.citem img{
    padding-right: 10px;
    height: 40px;
}

.conts a{
    color: beige;
}
.conts a:hover{
    padding-left: 10px;
    font-size: 22px;
    animation-duration: 500ms;
}


/* ! PHOTO */

.photo{ 
    padding-top: 30px;
    background-color: #ffc13b; 
    color:#3a3a3a;
}
.avatar{
    text-align: center; 
    margin:0;   
}
.avatar img{
    height:400px;
    margin:0;  
}
.name{
    font-family: inherit;
    font-weight: 700;
    font-size: 40px;
    padding: 20px 0;
    margin:0;
}

/*! SKILLS */

.skills{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-content: flex-start;
    /* align-items: center; */
}
.skills ul{/*  */
    order: 0;
    flex: 0 1 auto;
    align-self: auto;
    padding: 0 0 0 80px;
    font-size: 20px;
    margin: 0;
}
.skitem{
    line-height: 2;
}
.parrent{
    width: 150px;
    height: 10px;
    background: beige;
    margin: 5px;
}
.child{
    height: 100%;
    background: #ffc13b;
    border-bottom-right-radius: 10px;
}
.html{
    width: 70%;
}
.css{
    width: 55%;
}
.js{
     width:40%;
} 

/*? BLOCK RIGHT */

.block-right{
position: absolute;
  top: 0;
  right: 0;
width: 750px;
min-height: 500px;
background-color: #fff;
text-align: justify;
box-sizing: border-box;
padding: 30px;
}




/* ! EDUCATION */
    
.edu a{
    color:#3a3a3a;
    font-weight: bold;
    opacity: 0.9;
}

/* ! COURSES */

.courses a{
    color:#3a3a3a;
    font-weight: 500;
    opacity: 0.9;
}
.courses a:hover{
    padding-left: 10px;
    font-size: 22px;
    animation-duration: 500ms;
}
.courses span{
    font-style: italic;
}

/* !SOFT SKILLS */

.sskills a{
    color:#3a3a3a;
    font-weight: bold;
    opacity: 0.9;
}

/* ! CODE EXAMPLE */

.code{
font-size: 16px; 
}

/*! FOOTER */

footer{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 70px;
    padding: 5px;
    background-color: #ff6e40;
    color: rgb(255, 255, 255);
}
.fitem{
    padding: 15px;
    text-align: center;
}
.fitem img{
    height: 40px;
}
.logo {
    width:100px;
} 

@media screen and (max-width:576px){
    .container{
        display: flex;
        flex-wrap: wrap;
        max-width: 100%;
    }
    .menu__box{
    right: 0;
    top: 0;
    }
    .menu__btn{
    right: 0;
    top: 0;  
    }
    .header{
        max-width: 100%;
        margin: 0;
    }
    .inside-container{
        max-width: 100%;
    }
    .block-left{
        max-width: 100%;
    }
    .block-right{
        max-width: 100%;
        margin-top: 1250px;
        height: 2400px;
    }
    footer{
    height: 70px;
    position:fixed;
    bottom: 0;
    left:0;
    max-width: 100%;
    padding-left: 0%;
    padding-right: 0%;
    width: 100%
    }
    .javascript{
        overflow-x:scroll;
        width: 278px;
    }
}

@media screen and (max-width: 767px){
    .container{
        display: flex;
        flex-wrap: wrap;
        width: 500px;
    }
    .menu__box{
    right: 0;
    top: 0;
    }
    .menu__btn{
    right: 0;
    top: 0;  
    }
    .header{
        width: 500px;
        margin: 0;
    }
    .inside-container{
        width: 500px;
    }
    .block-left{
        width: 500px;
        height: 500px;
        
    }
    .block-right{
        min-width: 500px;
        margin-top: 1250px;
        min-height: 500px;
        position: absolute;
        left:0px;
    }
    footer{
    height: 70px;
    position:fixed;
    bottom: 0;
    left:0;
    width: 100%;
    padding-left: 0%;
    padding-right: 0%;
    width: 100%
    }
    .javascript{
        overflow-x:scroll;
        min-width: 420px;
    }
}


@media screen and (max-width: 1100px){
    
    .header{
        width: 750px;
    }
    .block-left{
        min-height: 100em;
    }
    .block-right{
        max-width: 400px;
        margin-right: 350px;
        min-height: 105em;
    }
    .menu__box{
        right:365px;
        top: 200px; 
    }
    .menu__btn{
    right:365px;
    top: 200px;  
    }
    .javascript{
        overflow-x:scroll;
        width: 278px;
    }
    footer{
        height: 70px;
        position:fixed;
        bottom: 0;
        left:0;
        max-width: 100%;
        padding-left: 0%;
        padding-right: 0%;
        width: 100%
    }

}

@media screen and (max-width: 1500px){
    .container{
        max-width: 1100px;
    }
}